﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;
using RimWorld;

namespace AIRyrtwofAddon
{
    public abstract class CompAbnos_Base : ThingComp
    {
        protected int count = 0;
        protected static readonly int TICK_TIME = 60;

        protected int jobTick = -1;
        protected static readonly int TIME_NOJOB = -1;
        protected static readonly int TIME_ACTJOB = 0;

        public Command action;

        public bool approached = false;
        public bool finished = false;

        public Pawn actor = null;
        public CompProperties_Abnos Props => props as CompProperties_Abnos;

        public CompAbnos_Base() { }

        public bool IsActive() => jobTick > TIME_ACTJOB;

        public override void CompTick()
        {
            count = count > TICK_TIME ? 0 : count + 1;
            if (count % TICK_TIME != TICK_TIME - 1) return;
        }

    }
}
