﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Verse;
using RimWorld;
using UnityEngine;

namespace AIRyrtwofAddon.Information
{
    public class CompAbnosInfo : ThingComp
    {
        private Command_Action openInfo = null;

        private CompProperties_AbnosInfo Props => this.props as CompProperties_AbnosInfo;

        private Command Open
        {
            get{
                if (openInfo == null)
                {
                    openInfo = InfoContentCache.OpenInfo(parent.def);
                }

                return openInfo;
            }
        }

        public override IEnumerable<Gizmo> CompGetGizmosExtra()
        {
            yield return Open;
        }

    }
}
